Bug Hunting Session
Bug 67379 - EDITING: Problems changing focus to inside frame
Summary: EDITING: Problems changing focus to inside frame
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: Other All
: highest normal
Assignee: Justin L
URL:
Whiteboard: target:5.3.0
Keywords: bibisected, bisected, regression
: 45961 (view as bug list)
Depends on:
Blocks: Frame-Dialog
  Show dependency treegraph
 
Reported: 2013-07-26 22:27 UTC by David
Modified: 2017-05-18 18:58 UTC (History)
10 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample frame test document (7.69 KB, application/vnd.oasis.opendocument.text)
2013-07-26 22:27 UTC, David
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David 2013-07-26 22:27:06 UTC
Created attachment 83069 [details]
Sample frame test document

There is a problem trying to change the focus to inside a frame when the cursor is currently in the header.  A sample document has been attached but the issue is easy to re-create.

Create a new document.
Enable the page header.
Create a frame in the document.
Click in the header to move the cursor in the header.
Click once inside the frame.
The cursor will not move to inside the frame.

The work around is the double click inside the frame and then click in it the third time.  The cursor will then move to inside the frame.

The other way is to click in the document outside of the frame then click inside the frame.

Proper operation should be to click once inside the frame to move the cursor focus from the header to inside the frame.

This has been tested with version 4.1 in both Linux and Windows XP.  I'm assuming the problem started in version 3.5 because that's when major design changes were made with how the header operated.
Comment 1 Emir Sarı (away) 2013-07-26 22:46:52 UTC
Confirmed under OS X 10.7.5 - LO 4.1.0.4. 

Focus won't change until the cyan insert header box will disappear.
Comment 2 Michael Stahl (CIB) 2013-08-12 20:14:11 UTC
used to work in 3.6.7.2, broken in 4.0.0.3.

bibisect to 246ffb108c7e1f762f8d497750ad2414b85b99ef..41c2b0375773b2d2945d75e255ea6bb6c7fd378d

regression from:

commit 7e2f98d0a0c4a0f36a94353a256e7cc5caa3113b
Author:     Cédric Bosdonnat <cedric.bosdonnat@free.fr>
AuthorDate: Thu Nov 22 10:47:17 2012 +0100

    Header/Footer: fixed the selection of frames anchored to header/footer
    
    Now, double-click actually selects a frame anchored in header/footer.
    Code has been cleaned a bit as well.
Comment 3 tmacalp 2013-10-07 21:01:02 UTC
This bug also affects frame selection going the other way.  

If you create a frame IN the header or footer and start with your cursor in the body, you can't select the other frames without resorting to the work-arounds listed above.

Oddly enough, if you have frames in both the header AND footer, you can click between those frames just fine. :)
Comment 4 Cédric Bosdonnat 2014-01-20 08:57:21 UTC
Restricted my LibreOffice hacking area
Comment 5 David 2014-07-04 20:18:43 UTC
This is a regression that hasn't had anything done with it for almost a year.  Upgrading the importance level so it gets looked at.
Comment 6 Björn Michaelsen 2014-10-11 01:17:55 UTC Comment hidden (no-value)
Comment 7 Björn Michaelsen 2014-10-16 14:59:09 UTC Comment hidden (no-value, obsolete)
Comment 8 tommy27 2014-11-25 21:01:54 UTC
still reproducible under Win8.1 using LibO 4.3.3.2 and 4.5.0 master

moving this to mab4.3 list since 4.2.x reached end of life
Comment 9 tommy27 2015-06-20 07:24:29 UTC
still reproducible under Win8.1 64bit using LibO 4.4.3.2 and 5.1.0.0.alpha1+
Build ID: ba70050dc37f82306a8a3c5815372a4b9fff18fc
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-06-19_06:35:49
Locale: en-US (it_IT)
Comment 10 Robinson Tryon (qubit) 2015-12-13 11:09:27 UTC Comment hidden (obsolete)
Comment 11 Justin L 2016-11-08 10:36:40 UTC
too bad nobody really looked into this earlier.  It looks like a fairly easy fix.  
proposed patch
https://gerrit.libreoffice.org/30693 tdf#67379 - sw: treat clicking h/f-fly the same as any other
Comment 12 Commit Notification 2016-11-10 14:26:50 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=70f41634d085aecc8e90dfba034bb367341d142e

tdf#67379 - sw: treat clicking h/f-fly the same as any other

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Michael Stahl (CIB) 2016-11-10 14:31:09 UTC
thanks Justin for investigating this
Comment 14 Cor Nouws 2016-11-10 15:21:17 UTC
*** Bug 45961 has been marked as a duplicate of this bug. ***
Comment 15 Cor Nouws 2016-11-10 15:24:41 UTC
I'm in an optimistic mood :) - marked bug 45961 as duplicate.
Thanks Justin!